@import url("https://fonts.googleapis.com/css2?family=Merriweather:ital,opsz,wght@0,18..144,300..900;1,18..144,300..900&display=swap");

* {
    user-select: none !important;
}

.swiper {
    background-color: #2a3289;
    position: relative;
}

.swiper-wrapper {
    height: 740px;
    max-height: 740px;
}

#slider.swiper-autoheight,
#slider.swiper-autoheight .swiper-slide {
    height: 740px;
}

.swiper-slide {
    display: flex;
    justify-content: center;
    align-items: center;
}

.swiper-slide-wrapper {
    width: 100vw;
    max-width: 1280px;
    height: 74rem;
    max-height: 100vh;
    margin: auto;
    display: flex;
    gap: 5.5rem;
    justify-content: center;
    align-items: center;
}

.init-slide {
    width: 86rem;
    height: 26rem;
    border-top: 1px solid white;
    border-bottom: 1px solid white;
    justify-content: space-between;
    align-items: center;
}

.text-container {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.text-container h2 {
    font-family: "Merriweather", serif;
    font-size: 4.5rem;
    font-weight: bold;
    line-height: 0.78;
}

.text-container p {
    font-size: 2.9rem;
    line-height: 1;
}

#start {
    width: 16rem;
    height: 4.5rem;
    font-size: 1.5rem;
    display: flex;
    align-items: center;
    justify-content: center;
    padding-left: 2.3rem;
}

#screen1 {
    color: #fff;
    position: relative;
}

/* #region Back to Start Button */
.btn.back-to-start.with-arrow {
    position: absolute;
    z-index: 4;
    right: calc(((100vw - 1280px) / 2) + 7.5rem);
    top: 7rem;
    width: 20rem;
    height: 3.5rem;
    font-size: 1.5rem;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1.5rem;
}

.back-to-start .label {
    margin-left: 3rem;
}

.back-to-start svg {
    margin-left: -3rem;
    right: unset;
}
/* #endregion */

/* #region Slide */
.last-slide {
    margin-bottom: 3.5rem;
}

.slide-info {
    width: 42rem;
}

.slide-info .title {
    font-family: "Merriweather", serif;
    font-size: 3.9rem;
    font-weight: bold;
    line-height: 1.21;
    margin: 0 0 1rem;
}

.slide-info p {
    font-size: 1.9rem;
    line-height: 1.32;
    margin: 0 0 1.5rem;
}

.slide-specs {
    margin: 0;
    padding: 2rem 0 2.5rem 4.5rem;
    border-top: 1px solid white;
    position: relative;
    flex: 1;
}

.location {
    border-top: none;
}

.location::before,
.measurements::before,
.dimensions::before,
.units::before {
    content: "";
    position: absolute;
    background-repeat: no-repeat;
    background-size: contain;
    top: 2rem;
    left: 0;
}

.location::before {
    background-image: url("../img/icons/location.svg");
    height: 3.5rem;
    width: 2.7rem;
}

.measurements::before {
    background-image: url("../img/icons/measurements.svg");
    height: 3.1rem;
    width: 3rem;
}

.dimensions::before {
    background-image: url("../img/icons/dimensions.svg");
    height: 3.8rem;
    width: 2.7rem;
}

.units::before {
    background-image: url("../img/icons/units.svg");
    height: 3rem;
    width: 3rem;
}

.slide-specs h3 {
    font-family: "Merriweather", serif;
    font-size: 2.1rem;
    font-weight: bold;
    line-height: 1.38;
    margin: 0;
}

.slide-specs p {
    font-size: 1.5rem;
    line-height: 1.53;
    margin: 0;
}

.dimensions-units {
    display: flex;
    gap: 2.5rem;
}

#personalize {
    margin-top: 4rem;
    width: 20rem;
    height: 4.5rem;
    font-size: 1.5rem;
    display: flex;
    align-items: center;
    justify-content: center;
    padding-left: 3.3rem;
}
/* #endregion */

/* Ocultar todo el swiper antes de que Swiper arranque por completo */
/* TODO: crear loading */
.swiper:not(.swiper-initialized) {
    display: none;
}

/* #region Change Swiper Buttons */

/* Reset default buttons */
.swiper-button-next::after,
.swiper-button-prev::after {
    content: none;
}

.slide-next,
.slide-prev {
    position: absolute;
    width: 8.3rem;
    height: 5rem;
    top: 0;
    bottom: 0;
    margin: auto 0;
    padding: 0.2rem;
    border: 1px solid #ffffff;
    border-radius: 2.5rem;
    display: flex;
    justify-content: center;
    align-items: center;
    pointer-events: all;
    cursor: pointer;
    overflow: hidden;
    z-index: 2;
    transition: all 0.4s ease-out;
}

.slide-next.hide,
.slide-prev.hide {
    display: none;
}

.slide-next:hover,
.slide-prev:hover {
    background-color: #ffffff;
}

.slide-next {
    right: calc(((100vw - 1280px) / 2) + 7.5rem);
}

.slide-prev {
    left: calc(((100vw - 1280px) / 2) + 7.5rem);
}

.slide-next .label,
.slide-prev .label {
    width: 2.9rem;
    height: 2.8rem;
    position: absolute;
    transition: all 0.4s ease-out;
}

.slide-next .label svg,
.slide-prev .label svg {
    width: 2.9rem;
    height: 2.8rem;
}

.slide-next .show,
.slide-prev .show {
    top: calc((5rem - 2.8rem) / 2);
}

.slide-next .hidden,
.slide-prev .hidden {
    top: calc(((5rem - 2.8rem) / 2) + 5rem);
}

.slide-next:hover .show,
.slide-prev:hover .show {
    top: calc(((5rem - 2.8rem) / 2) - 5rem);
}

.slide-next:hover .hidden,
.slide-prev:hover .hidden {
    top: calc((5rem - 2.8rem) / 2);
}

.slide-next:hover .show svg path,
.slide-prev:hover .show svg path {
    fill: #ffffff;
    stroke: #ffffff;
}

.slide-next:hover .hidden svg path,
.slide-prev:hover .hidden svg path {
    fill: #2a3289;
    stroke: #2a3289;
}
/* #endregion */

/* Slides Indicators */
.pages {
    position: absolute;
    bottom: 4.5rem;
    width: 100vw;
    left: 0;
    z-index: 10;
    display: flex;
    justify-content: center;
}

/* Ocultar pagen indicator en la primera pagina */
.pages:not(:has(.active)) {
    display: none;
}

.page {
    height: 1rem;
    width: 1rem;
    border-radius: 50%;
    background-color: white;
    display: inline-block;
    margin-right: 1.2rem;
    transition: 0.4s ease-out;
    cursor: pointer;
}

.page:last-child {
    margin-right: 0px;
}

.page.active {
    height: 1rem;
    width: 7.5rem;
    border-radius: 0.6rem;
}

.slide-media {
    width: 42rem;
    height: 46rem;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
}

.slide-media video {
    position: absolute;
    top: 4rem;
    width: 35rem;
    height: 35rem;
    z-index: 1;
}

.slide-media .video-mask {
    position: absolute;
    width: 42rem;
    height: 46rem;
    background-image: url("../img/mask-video.svg");
    background-size: cover;
    z-index: 3;
}

.swiper-scrollbar {
    position: absolute;
    bottom: 4rem;
    color: white;
    background: none;
    z-index: 4;
}

.slide-canvas {
    position: absolute;
    bottom: 13rem;
    left: 5rem;
    z-index: 5;
    height: 16rem;
    background-color: transparent;
}

.rotatorcontainer {
    width: 100%;
    margin: 0 0.5rem 3rem 0;
}

.rotator {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    width: 25rem;
    height: 0.5rem;
    background: #fff;
    outline: none;
    border-radius: 0.5rem;
}

.rotator::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 5rem;
    height: 5rem;
    cursor: pointer;
    background-image: url("../img/icons/rotate.svg");
    background-size: cover;
    background-position: center center;
    background-color: transparent;
    border: 0;
    -webkit-box-shadow: none;
    box-shadow: none;
}

.rotator::-moz-range-track {
    width: 25rem;
    height: 0.5rem;
    background: #fff;
    border-radius: 0.5rem;
}

.rotator::-moz-range-thumb {
    width: 5rem;
    height: 5rem;
    cursor: pointer;
    background-image: url("../img/icons/rotate.svg");
    background-size: cover;
    background-position: center center;
    border: none; /* Quita el borde gris por defecto de Firefox */
    background-color: transparent; /* Evita que Firefox pinte un fondo plano detrás del SVG */
}

.wooden-button {
    position: absolute;
    height: 12.5rem;
    width: 12.5rem;
    border-radius: 100%;
    bottom: 8rem;
    right: 4rem;
    cursor: pointer;
    z-index: 6;
    background-image: url("../img/wooden_button.png");
    background-position: center;
    background-size: cover;
    transition: all 0.4s ease-out;
}

.wooden-button:hover {
    transform: scale(1.25);
}

.personalize-slide {
    justify-content: space-between;
    align-items: center;
    height: 53rem;
    width: calc(1280px - 15rem);
    gap: 0;
}

.personalize-slide p {
    font-family: "Merriweather", serif;
    font-size: 1.5rem;
    font-weight: bold;
    line-height: 1.53;
}

#colors {
    width: fit-content;
    height: 48rem;
    align-self: end;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
}

#colors p {
    margin-bottom: 1.5rem;
}

.colorBox {
    width: 5.5rem;
    height: 5.5rem;
    border-radius: 100%;
    padding: 0.5rem;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 2rem;
}

.colorBox.active {
    border: 0.25rem solid white;
}

.color,
.multicolor {
    width: 100%;
    height: 100%;
    border-radius: 100%;
}

.multicolor {
    -webkit-appearance: none;
    appearance: none;
    border: 0;
    padding: 0;
}

.multicolor::-webkit-color-swatch-wrapper {
    padding: 0;
    border: 0;
}

.multicolor::-webkit-color-swatch {
    border: 0;
    padding: 0;
    border-radius: 100%;
    background-image: url("../img/multicolor.png");
    background-size: cover;
}

.multicolor::-moz-color-swatch {
    border: 0;
    padding: 0;
    border-radius: 100%;
    background-image: url("../img/multicolor.png");
    background-size: cover;
}

.paint-section {
    position: relative;
    width: 53rem;
    height: 53rem;
    background-color: #233d99;
    background-color: #2a3289;
    border-radius: 2.6rem;
    display: flex;
    align-items: center;
    justify-content: center;
    flex: 1;
}

.paint-section video {
    position: absolute;
    top: 6rem;
    width: 43rem;
    height: 43rem;
    z-index: 1;
}

.paint-section .video-mask {
    position: absolute;
    top: 0.5rem;
    width: 53rem;
    height: 52rem;
    background-image: url("../img/mask-video.svg");
    background-size: cover;
    z-index: 3;
}

#canvas1 {
    position: absolute;
    width: 650px;
    height: 650px;
    z-index: 6;
    background-color: transparent;
}

#views {
    width: fit-content;
    height: 48rem;
    align-self: end;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: center;
    position: relative;
}

#views .close {
    position: absolute;
    top: -8.5rem;
    left: 0;
    right: 0;
    margin: 0 auto;
}

#views p {
    margin-bottom: 3rem;
}

.view {
    align-self: center;
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    flex: 1;
    cursor: pointer;
}

.view img {
    width: 9rem;
    height: auto;
}

.preview,
.finish {
    width: 20rem;
    height: 4.5rem;
    display: flex;
    justify-content: center;
    align-items: center;
}

.finish .label {
    font-weight: 500;
}

.finish .label .hidden {
    font-weight: 400;
}

.preview {
    margin: 2rem 0;
}

/* POP-UP */

/* la transicion es: all .4s ease-out */
.wooden-popup {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.7);
    z-index: 99;
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 0;
    pointer-events: none;
    transition: all 0.4s ease-out;
    overscroll-behavior: contain;
}

#info-popup .wooden-popup-wrapper {
    width: 100%;
    max-width: 100rem;
    height: 100%;
    max-height: 56rem;
    padding: 5.5rem 8rem 0;
    background-color: #fff;
    border-radius: 3.5rem;
    color: #262626;
    position: relative;
}

#info-popup h2 {
    margin: 0;
    font-family: "Merriweather", serif;
    font-size: 3.9rem;
    font-weight: bold;
    line-height: 1.21;
    color: #2a3289;
    text-align: center;
}

.info-popup-body {
    margin: 1.5rem 1rem 0;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 6.5rem;
    width: 100%;
}

.info-popup-text {
    width: 42rem;
    flex: 1;
}

.info-popup-text-line {
    display: flex;
    gap: 1.8rem;
}

.info-popup-text-line img {
    height: 3.3rem;
    width: 3.3rem;
    object-fit: cover;
}

.info-popup-text-line p {
    font-size: 1.9rem;
    line-height: 1.32;
    margin-bottom: 3rem;
}

.info-popup-text h5 {
    margin: 2rem 0 1rem;
    font-family: Merriweather, serif;
    font-size: 1.8rem;
    line-height: 1.5;
    color: #2a3289;
}

.info-popup-card {
    width: 30rem;
    height: 37.5rem;
    margin-right: 6rem;
    background-color: #f9f9f9;
    border-radius: 1rem;
    padding: 1.5rem 0 0;
    border: 1px solid #2a3289;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
}

.info-popup-card div:first-child {
    margin-bottom: 1rem;
}

.info-popup-card-text {
    font-size: 1.1rem;
    line-height: 1.64;
    text-align: center;
}

.info-popup-card a {
    margin: 1rem 0;
    font-size: 1.3rem;
    font-weight: bold;
    line-height: 1.62;
    color: #2a3289;
    position: relative;
}

.info-popup-card img {
    height: 7.4rem;
    width: 7.4rem;
    object-fit: cover;
}

.info-popup-card h6 {
    margin: 1.5rem 0 1rem;
    height: 3rem;
    width: 7rem;
    border: 1px solid #262626;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.3rem;
    line-height: 1.62;
    position: relative;
}

.info-popup-card-footer {
    font-size: 0.9rem;
    line-height: 1.67;
}

.indicator-point-1-wrapper {
    height: 3.5rem;
    width: 16rem;
    position: absolute;
    right: 7.25rem;
    bottom: 0.75rem;
}

.indicator-point-1-wrapper img {
    position: absolute;
    top: 0;
    left: 0;
    height: 3.3rem;
    width: 3.3rem;
    object-fit: cover;
}

.diagonal-line-1 {
    position: absolute;
    top: 2.7rem;
    left: 2.9rem;
    width: 12.5rem;
    height: 0.2rem;
    background-color: #2a3289;
    transform: rotate(10deg);
}

.indicator-point-1 {
    position: absolute;
    bottom: -0.8rem;
    right: 0.1rem;
    height: 0.8rem;
    width: 0.8rem;
    border-radius: 100%;
    background-color: #2a3289;
}
.indicator-point-2-wrapper {
    height: 3.5rem;
    width: 8rem;
    position: absolute;
    right: -8.5rem;
    bottom: -1.45rem;
}

.indicator-point-2-wrapper img {
    position: absolute;
    top: -1.2rem;
    right: -3rem;
    height: 3.3rem;
    width: 3.3rem;
    object-fit: cover;
}

.diagonal-line-2 {
    position: absolute;
    top: 1.3rem;
    left: 0.5rem;
    width: 7.5rem;
    height: 0.2rem;
    background-color: #2a3289;
    transform: rotate(-10deg);
}

.indicator-point-2 {
    position: absolute;
    bottom: 0;
    left: 0;
    height: 0.8rem;
    width: 0.8rem;
    border-radius: 100%;
    background-color: #2a3289;
}

.wooden-popup-wrapper .wooden-popup-close {
    background-image: url("/img/close-popup-people.svg");
    background-position: 50%;
    background-repeat: no-repeat;
    background-size: contain;
    cursor: pointer;
    height: 4.5rem;
    width: 4.5rem;
    position: absolute;
    right: 3rem;
    top: -2.25rem;
    transition: all 0.4s ease-out;
}

.wooden-popup-wrapper .wooden-popup-close:hover {
    transform: rotate(270deg);
}

#preview-popup .wooden-popup-wrapper {
    width: 100%;
    max-width: 73.33rem;
    height: 100%;
    max-height: 50rem;
    padding: 10rem;
    background-color: #fff;
    border-radius: 3.5rem;
    position: relative;
}

#screen2 {
    position: relative;
}

#screen2 video {
    width: 100%;
    height: 100%;
    z-index: 1;
}

#screen2 canvas {
    position: absolute;
    width: 450px;
    height: 450px;
    z-index: 3;
    bottom: -9rem;
    left: 1rem;
    background-color: transparent;
}

#finish-popup .wooden-popup-wrapper {
    width: 100%;
    max-width: 62rem;
    height: 100%;
    max-height: 43rem;
    padding: 5.5rem 9rem;
    background-color: #fff;
    border-radius: 3.5rem;
    position: relative;
    text-align: left;
}

#finish-popup h2 {
    margin: 0 0 2rem;
    font-family: Merriweather, serif;
    font-size: 3.9rem;
    font-weight: bold;
    line-height: 1.21;
    color: #2a3289;
}

#finish-popup p {
    font-size: 1.9rem;
    line-height: 1.32;
    color: #262626;
}

#finish-popup h4 {
    margin: 1rem 0 2rem;
    font-family: Merriweather, serif;
    font-size: 1.5rem;
    font-weight: bold;
    line-height: 1.53;
    color: #2a3289;
}

#finish-popup input[type="email"] {
    width: 44rem;
    height: 3.5rem;
    padding-left: 2rem;
    border-radius: 0.8rem;
    border: solid 1px #2a3289;
    font-family: Lato, sans-serif;
    font-size: 1.3rem;
    font-weight: bold;
    color: #2a3289;
    background-color: transparent;
    margin-bottom: 2rem;
}

#finish-popup #send-wooden {
    text-transform: uppercase;
    width: 14rem;
    height: 3.5rem;
    opacity: 0.4;
    border-radius: 1.8rem;
    border: solid 1px #2a3289;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1rem;
    pointer-events: none;
    margin-left: auto;
    margin-right: 0;
}

#finish-popup #send-wooden span {
    color: #2a3289;
}

#finish-popup #send-wooden span svg path {
    fill: #2a3289;
    stroke: #2a3289;
}

#slide-email:has(.validate:valid) ~ .btn-wrapper #send-wooden {
    pointer-events: all;
    cursor: pointer;
    opacity: 1;
    background-color: #2a3289;
}

#slide-email:has(.validate:valid) ~ .btn-wrapper #send-wooden span {
    color: #fff;
}

#slide-email:has(.validate:valid) ~ .btn-wrapper #send-wooden:hover {
    background-color: transparent;
}

#slide-email:has(.validate:valid) ~ .btn-wrapper #send-wooden:hover span {
    color: #2a3289;
}

#slide-email:has(.validate:valid) ~ .btn-wrapper #send-wooden span svg path {
    fill: #ffffff;
    stroke: #ffffff;
}

#slide-email:has(.validate:valid)
    ~ .btn-wrapper
    #send-wooden:hover
    span
    svg
    path {
    fill: #2a3289;
    stroke: #2a3289;
}

/* Delay & Fade animation in Video & Canvas */
.delay-render.active {
    opacity: 0;
    transition: opacity 0.5s ease-in;
    transition-delay: 0.5s;
    transform: translateZ(0);
    -webkit-transform: translateZ(0);
}

.swiper-slide-active .delay-render.active {
    opacity: 1;
}
.show .delay-render.active {
    opacity: 1;
}

@media (max-width: 890px) {
    .swiper {
        margin: 0 2rem;
    }

    .swiper-wrapper {
        max-height: unset;
    }

    #slider.swiper-autoheight,
    #slider.swiper-autoheight .swiper-slide {
        height: auto !important;
    }

    .swiper-slide-wrapper {
        flex-direction: column;
        margin-top: 5rem;
        width: 100%;
        height: auto;
        max-height: unset;
        gap: 0;
    }

    .slide-buttons {
        margin: 3rem 0 3rem auto;
        height: 5rem;
        width: 18.6rem;
        position: relative;
    }

    .move-prev-button {
        width: 100%;
    }

    .swiper .slide-next {
        right: 0;
        top: 0;
    }
    .swiper .slide-prev {
        left: 0;
        top: 0;
    }

    /* #region Init Slide */
    .swiper-slide:has(.init-slide) {
        max-height: 100vh;
    }

    .swiper-slide-wrapper.init-slide {
        width: 100%;
        height: unset;
        flex-direction: column;
        gap: 0;
        margin-top: 15vh;
        text-align: left;
    }

    .text-container {
        width: 100%;
        align-self: flex-start;
        margin: 4rem 0;
    }

    .text-container h2 {
        font-size: 2.9rem;
        line-height: 1.28;
        margin: 0 0 1rem;
    }

    .text-container p {
        font-size: 1.9rem;
        line-height: 1.32;
    }

    .init-slide .btn-wrapper {
        padding: 0;
        margin: 4rem 0;
        align-self: flex-end;
    }

    .wooden-button {
        bottom: 3rem;
    }

    #personalize {
        margin-top: 3rem;
    }
    /* #endregion */

    /* #region Slide */
    .btn.back-to-start.with-arrow {
        top: 2.75rem;
        right: 0rem;
    }

    .slide-info {
        width: 100%;
        order: 2;
        text-align: left;
    }

    .slide-media {
        order: 1;
    }

    .slide-info .title {
        font-size: 2.5rem;
        line-height: 1.48;
        margin: 0 0 1rem;
        text-align: left;
    }

    .slide-info p {
        margin-bottom: 1.5rem;
    }

    .slide-specs {
        padding: 1.5rem 0 1.5rem 4.5rem;
    }

    .slide-specs p {
        margin: 0;
        font-size: 1.8rem;
    }

    .dimensions-units {
        flex-direction: column;
        gap: 0;
    }

    .slide-media {
        margin-bottom: 3rem;
    }

    .slide-media,
    .slide-media .video-mask,
    .paint-section,
    .paint-section .video-mask {
        width: 100vw;
        height: 95vw;
    }

    .slide-media video,
    .paint-section video {
        top: 9vw;
        width: 85vw;
        height: 85vw;
    }

    .slide-canvas {
        bottom: 16vw;
        left: 10vw;
        height: 40vw;
    }

    .swiper-scrollbar {
        bottom: 0;
    }
    /* #endregion */

    .pages {
        width: 100%;
        margin-bottom: 4rem;
        position: static;
    }

    #colors {
        width: 100%;
        height: auto;
        align-self: flex-start;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        flex-wrap: wrap;
        order: 2;
    }

    #colors p {
        width: 100%;
    }

    .colorBox {
        margin-bottom: 3rem;
    }

    .paint-section {
        flex: unset;
        order: 1;
    }

    #canvas1 {
        height: 80%;
        width: 80%;
        bottom: 0;
        left: 3.5rem;
    }

    #views {
        width: 100%;
        height: auto;
        align-self: flex-start;
        flex-direction: row;
        justify-content: space-between;
        flex-wrap: wrap;
        order: 3;
    }

    #views p {
        width: 100%;
    }

    .view {
        align-self: center;
        margin-bottom: 5rem;
        flex: unset;
        width: 33.33%;
        text-align: center;
    }

    #views button {
        width: 16rem;
    }

    .wooden-popup {
        width: 100vw;
        height: 100vh;
        padding: 4rem 2rem;
    }

    #preview-popup .wooden-popup-wrapper,
    #finish-popup .wooden-popup-wrapper,
    #info-popup .wooden-popup-wrapper {
        width: calc(100vw - 4rem);
        height: auto;
        max-height: calc(100vh - 8rem);
        padding: 4rem 2rem;
    }

    #info-popup h2 {
        font-size: 2.5rem;
        line-height: 1.48;
        text-align: left;
    }

    #info-popup .scroll-wrapper {
        overflow-y: scroll;
        overscroll-behavior: contain;
        overflow-x: hidden;
        height: auto;
        max-height: calc(100vh - 16rem);
    }

    .info-popup-body {
        margin: 1.5rem 0 0;
        display: flex;
        flex-direction: column;
        justify-content: start;
        align-items: start;
        gap: 0;
    }

    .info-popup-text {
        width: 100%;
        flex: unset;
    }

    .info-popup-text-line {
        gap: 1rem;
    }

    .info-popup-text-line img {
        height: 2.6rem;
        width: 2.6rem;
    }

    .info-popup-text-line p {
        font-size: 1.5rem;
        line-height: 1.53;
        margin-bottom: 2rem;
        text-align: left;
    }

    .info-popup-text h5 {
        margin: 0rem 0 3rem;
        font-size: 1.5rem;
        line-height: 1.53;
        text-align: left;
    }

    .info-popup-card {
        width: 224px;
        height: auto;
        margin: auto;
        padding: 2rem 0;
    }

    .indicator-point-1-wrapper img {
        left: 4rem;
        top: 0.5rem;
    }

    .diagonal-line-1 {
        top: 2.9rem;
        left: 6rem;
        width: 9.5rem;
    }

    .indicator-point-2-wrapper img {
        top: -0.3rem;
        right: 2.2rem;
    }

    .diagonal-line-2 {
        top: 1.6rem;
        width: 3.5rem;
    }

    #screen2 canvas {
        width: 60vw;
        height: 60vw;
        bottom: -5rem;
        left: 4rem;
    }

    #finish-popup h2 {
        font-size: 2.5rem;
        line-height: 1.48;
    }

    #finish-popup p {
        font-size: 1.5rem;
        line-height: 1.53;
    }

    #finish-popup h4 {
        margin-top: 2rem;
    }

    #finish-popup input[type="email"] {
        width: calc(100vw - 8rem);
    }
}
